DENTRY_UPDATE_NAME_C(9)

NAME
dentry_update_name_case - update case insensitive dentry with a new name

SYNOPSIS

void dentry_update_name_case(struct dentry * dentry, struct qstr * name);

ARGUMENTS

dentry
    dentry to be updated

name
    new name

DESCRIPTION

Update a case insensitive dentry with new case of name.

dentry must have been returned by d_lookup with name name. Old and new name lengths must match (ie. no d_compare which allows mismatched name lengths).

Parent inode i_mutex must be held over d_lookup and into this call (to keep renames and concurrent inserts, and readdir(2) away).

COPYRIGHT